/* kanji.h */

/* Author:
 *	Junichiro ITOH
 *	itojun@foretune.co.jp / itojun@mt.cs.keio.ac.jp / JINnet itojun
 */

/* This file contains some definitions to handle kanji characters */


#define issjiskanji(c)	((0x81 <= (unsigned char)(c&0xff) && (unsigned char)(c&0xff) <= 0x9f)	\
			|| (0xe0 <= (unsigned char)(c&0xff) && (unsigned char)(c&0xff) <= 0xfc))
#define iseuckanji(c)	(0xa1 <= (unsigned char)(c&0xff) && (unsigned char)(c&0xff) <= 0xfe)
#define isjiskanji(c)	(0x21 <= (unsigned char)(c&0xff) && (unsigned char)(c&0xff) <= 0x7e)
#ifdef iskanji
# undef iskanji
#endif
#define iskanji(c)	iseuckanji(c)

extern	unsigned int	getkanji();
extern	unsigned int	localtojis();
extern	unsigned int	jistolocal();
extern	unsigned int	localtosjis();
extern	unsigned int	sjistolocal();
extern	unsigned int	localtoeuc();
extern	unsigned int	euctolocal();
extern	int	kanji_forward();
extern	int	kanji_backward();
extern	int	kanji_fix();
extern	int	kanji_ispack();
extern	int	kanji_first();
extern	int	kanji_second();
extern	int	kanji_getkey();
extern	int	kanji_match();
extern	int	kanji_chartype();
extern	int	kanji_isspace();
#ifndef NO_SENTENCE
extern	int	kanji_isperiod();
#endif
extern	int	buf2ext();
extern	int	ext2buf();
#if KANJI_DETECT
extern	char	*kanji_detect();
#endif
extern	int	ktwrite();
extern	int	ktread();
extern	int	ktread_slow();
extern	int	kttywrite();
extern	int	kttyread();

